<script lang="ts">
import { IRoute } from './interfaces.ts';
import { curRoute } from './store.ts';

// Props
export let to: string;

const redirectTo = (event: any): void => {
	// change current route path
	curRoute.set(event.target.pathname);
	// push path to web browser history API
	window.history.pushState({path: to}, '', window.location.origin + to);
};
</script>

<a href={to} on:click|preventDefault={redirectTo}>
	<slot></slot>
</a>